## Applet.TextIconApplet Applet.TextIconApplet — Applet with icon and label |

## Functions

| _init ()
| set_show_label_in_vertical_panels ()
| set_applet_label ()
| set_applet_enabled ()
| hide_applet_label ()
| hideLabel ()
| showLabel ()
| hide_applet_icon ()

## Properties

St.Label | _applet_label |

## Object Hierarchy

        Object
        ╰── Applet.Applet
            ╰── Applet.IconApplet
                ╰── Applet.TextIconApplet

## Description

Applet that displays an icon and a text. The icon is on the left of the text

## Functions

### _init ()

    _init (St.Side   orientation,
           int       panelHeight,
           int       instance_id);

#### Parameters

orientation | orientation of the applet; Orientation of panel containing the actor |
panelHeight | height of the panel containing the applet |
instance_id | instance id of the applet |

### set_show_label_in_vertical_panels ()

    set_show_label_in_vertical_panels (boolean   show);

Sets whether to show the label in vertical panels

#### Parameters

show | whether to show the label in vertical panels |

### set_applet_label ()

    set_applet_label (string   text);

Sets the text of the actor to `text`

#### Parameters

text | text to be displayed at the label |

### set_applet_enabled ()

    set_applet_enabled (boolean   enabled);

Sets whether the applet is enabled or not. A disabled applet sets its padding to 0px and doesn't react to clicks

#### Parameters

enabled | whether this applet is enabled or not |

### hide_applet_label ()

    hide_applet_label (boolean   hide);

Sets whether the applets label is hidden or not. A convenience function to hide applet labels when an applet is placed in a vertical panel

#### Parameters

hide | whether the applet label is hidden or not |

### hideLabel ()

    hideLabel ();

Hides the applet label

### showLabel ()

    showLabel ();

Shows the applet label

### hide_applet_icon ()

    hide_applet_icon ();

Hides the icon of the applet

## Property Details

### The `“_applet_label”` property

      “_applet_label”            St.Label

Label of the applet